Subject: Re: How do we review changes made with coccinelle?

From: Junio C Hamano <[email-masked]>
Date: Fri, 31 Mar 2023 11:17:48 -0700

Glen Choo <[email-masked]> writes:

> I agree, but I wonder what this means in practice when .cocci fluency is
> so low. Maybe:
>
> - We increase .cocci fluency, partly by creating our own learning
>   materials, partly by being more conscious about spreading knowledge
>   from the folks who are relatively fluent in it. We might not have to
>   do a lot to get the ball rolling either; just checking in a
>   "MyFirstCocci" would help a lot, I think.

I think it goes both ways.  Readers of course must be willing to
learn, but whoever proposes to add a .cocci patch file should be
able to explain what the rewrite rules in there are designed to do
and why.  It is pretty much the same deal as any other patches.

I'll wait and prefer to hear from others, also on points that I did
not even quote back in my message because I didn't have anything to
add myself, before digging further on points I responded to.

Thanks for starting this topic.